Skip to main content
DELETE
/
apps
/
{client_id}
/
workflows
/
{workflow_id}
curl -X DELETE \
  -H "Authorization: Bearer sk_workspace_test_..." \
  "https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows/wf_abc123"
{ "deleted": true }
Delete a workflow. Cannot delete the default workflow — set another workflow as default first via the set-default endpoint.

Request

Authorization
string
required
Bearer <API_KEY> from Console > Developers > Workspace API Keys.

Path parameters

client_id
string
required
Client identifier of the app.
workflow_id
string
required
Workflow identifier.

Response

deleted
boolean
true if successfully deleted.
curl -X DELETE \
  -H "Authorization: Bearer sk_workspace_test_..." \
  "https://sandbox.api.hopae.com/connect/v1/apps/abc123/workflows/wf_abc123"
{ "deleted": true }
Returns 400 if attempting to delete the default workflow. Use the set-default endpoint to change the default first.